#include <stdio.h>
#include <math.h>
#ifdef _WIN32
	#include<Windows.h>
#endif

void main()
{
	double a, b, c;
	double x, x1, x2;
	while(1)
	{
		printf("a, b, c 값을 입력합니다.\n");
		printf("a= ");
		scanf("%lf",&a);
		printf("b= ");
		scanf("%lf",&b);
		printf("c= ");
		scanf("%lf",&c);
		if(a==0)
		{
			if(b==0)
			{
				if(c==0)
					printf("부정입니다\n");
				else
					printf("불능입니다\n");
			}
			else
			{
				x=c/b;
				printf("1차 방정식 입니다. \n x=%lf\n",x);
			}
		}
		else
		{
			if(b*b-4*a*c > 0)
			{
				x1 = (-b + sqrt(b*b-4*a*c))/(2*a);
				x2 = (-b - sqrt(b*b-4*a*c))/(2*a);
				printf("2차 방정식 입니다. 두 개의 실근 \n x1 = %lf x2 = %lf\n",x1,x2);
			}
			else
			{
				if(b*b-4*a*c == 0)
				{
					x=-b/(2*a);
					printf("2차 방정식 중근입니다. \n x=%lf\n",x);
				}
				else
					printf("허근입니다\n");
			}
		}
	}

	system("PAUSE");
}